TEMPLATE = app

QT += qml quick widgets xml multimedia

SOURCES += sources/main.cpp \
    ../common/sources/Map.cpp \
    ../common/sources/system/cgraphics2d.cpp \
    ../common/sources/system/cmaths.cpp \
    ../common/sources/system/fileCache.cpp \
    sources/game.cpp \
    sources/bridge.cpp \
    sources/walls.cpp \
    sources/player.cpp \
    sources/keyboard.cpp \
    sources/interface.cpp \
    sources/character.cpp \
    sources/mouse.cpp \
    sources/tiles.cpp \
    sources/doors.cpp \
    sources/scripts.cpp \
    sources/objects.cpp \
    sources/timer.cpp \
    sources/spells.cpp \
    sources/sound.cpp \
    sources/attacks.cpp \
    sources/monsters.cpp \
    sources/explosions.cpp

RESOURCES += qml.qrc

# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH =

# Default rules for deployment.
include(deployment.pri)

HEADERS += \
    ../common/sources/Map.h \
    ../common/sources/system/cgraphics2d.h \
    ../common/sources/system/cmaths.h \
    ../common/sources/system/fileCache.h \
    sources/game.h \
    sources/bridge.h \
    sources/walls.h \
    sources/player.h \
    sources/keyboard.h \
    sources/interface.h \
    sources/character.h \
    sources/mouse.h \
    sources/tiles.h \
    sources/doors.h \
    sources/scripts.h \
    sources/objects.h \
    sources/timer.h \
    sources/spells.h \
    sources/sound.h \
    sources/attacks.h \
    sources/monsters.h \
    sources/explosions.h

